SoCreaseAngleElement Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoCreaseAngleElement Class Reference
Element Classes

The SoCreaseAngleElement class stores the crease angle during a scene graph traversal. More...

`#include <Inventor/elements/SoCreaseAngleElement.h>`

Inheritance diagram for SoCreaseAngleElement:

## Public Member Functions
virtual void | init (SoState *state)
Public Member Functions inherited from SoFloatElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo (void) const
virtual void | print (FILE *file) const
virtual void | setElt (float value)
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const float complexity)
static void | set (SoState *const state, const float complexity)
static float | get (SoState *const state)
static float | get (SoState *const state, const SbBool isvrml1)
static float | getDefault (void)
static float | getDefault (const SbBool isvrml1)
Static Public Member Functions inherited from SoFloatElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
static void | set (const int stackIndex, SoState *const state, SoNode *const node, const float value)
static void | set (const int stackIndex, SoState *const state, const float value)
static float | get (const int stackIndex, SoState *const state)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoCreaseAngleElement ()
Protected Member Functions inherited from SoFloatElement
virtual | ~SoFloatElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoFloatElement
float | data
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoCreaseAngleElement class stores the crease angle during a scene graph traversal.

## Constructor & Destructor Documentation

SoCreaseAngleElement::~SoCreaseAngleElement | ( | void |  | ) |
| protectedvirtual

The destructor.

## Member Function Documentation

void * SoCreaseAngleElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoCreaseAngleElement::init | ( | SoState * | state | ) |
| virtual

This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoFloatElement.

void SoCreaseAngleElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const float | complexity
| ) |  |
| static

Sets the value of this element.

void SoCreaseAngleElement::set | ( | SoState *const | state,
|  | const float | complexity
| ) |  |
| static

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

float SoCreaseAngleElement::get | ( | SoState *const | state | ) |
| static

Returns the element value. This method can be used if you know that the node that is going to use the crease angle is an Inventor node.

float SoCreaseAngleElement::get | ( | SoState *const | state,
|  | const SbBool | isvrml1
| ) |  |
| static

Returns the element value. isvrml1 should be TRUE if the node requesting the value is a VRML1 node.

This method is an extension versus the Open Inventor API.

See also
  SoNode::getNodeType()

float SoCreaseAngleElement::getDefault | ( | void |  | ) |
| static

Returns the default value for Inventor scene graphs (0.0).

float SoCreaseAngleElement::getDefault | ( | const SbBool | isvrml1 | ) |
| static

Returns the default value for this element. isvrml1 should be TRUE if the node requesting the value is a VRML1 node.

This method is an extension versus the Open Inventor API.

See also
  SoNode::getNodeType()

The documentation for this class was generated from the following files:

- SoCreaseAngleElement.h
- SoCreaseAngleElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.